Bug 662869 - faulty and mal-formated section 3 manpages
Summary: faulty and mal-formated section 3 manpages
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: docbook-utils
Version: 16
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Ondrej Vasik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-14 04:22 UTC by Ralf Corsepius
Modified: 2012-06-19 14:56 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-05-30 12:25:57 UTC


Attachments (Terms of Use)

Description Ralf Corsepius 2010-12-14 04:22:30 UTC
Description of problem:

All man 3 manpages's SYNOPSIS-sections from fontconfig-devel 
seem to be broken or mal-formated.

Example: man FCPatternDel
gives
...
SYNOPSIS
       #include <fontconfig.h>

       FcBool FcPatternDel(FcPattern *p);
       (const char *object);
       .fi
...

The are 2 issues with this:

a) Too many and bogus braces. Correct would be:
FcBool FcPatternDel(FcPattern *p, const char *object);

b) a stray ".fi" at the end of the section.

Version-Release number of selected component (if applicable):

All versions on all current Fedoras:
fontconfig-devel-2.8.0-1.fc13.x86_64
fontconfig-devel-2.8.0-2.fc14.x86_64


How reproducible:
Always

Steps to Reproduce:
1. invoke man on any arbitrary Fc*.3 manpage from fontconfig-devel)
  
Actual results:
Cf. above.
=> faulty and mal formated reference manuals.

Expected results:
Correctly displayed accurate reference manuals.

Comment 1 Ralf Corsepius 2010-12-14 04:23:59 UTC
Sorry, wrong component ;)

Comment 2 Behdad Esfahbod 2010-12-16 06:08:41 UTC
Humm, I've seen this, but don't know how to fix it.  It's a problem with the sgml man book generation workflow used in fontconfig, which is beyond me.

Comment 3 Ralf Corsepius 2010-12-16 11:43:06 UTC
Well, AFAIS, you are installing the pre-built *.3's from the upstream tarball and don't rebuild the docs.

=> The bug already is inside of the tarball.

BTW: I don't know what SUSE does differently than you, but their fontsconfig packages don't have this issue.

Comment 4 Behdad Esfahbod 2010-12-16 18:41:18 UTC
(In reply to comment #3)
> Well, AFAIS, you are installing the pre-built *.3's from the upstream tarball
> and don't rebuild the docs.
> 
> => The bug already is inside of the tarball.

Right.  But I build the tarball on a Fedora system...


> BTW: I don't know what SUSE does differently than you, but their fontsconfig
> packages don't have this issue.

No idea.  Ubuntu seems to be doing better than Fedora also.  I'll roll the next tarball on Ubuntu.

Comment 5 Bug Zapper 2011-05-30 12:48:19 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Paul Flo Williams 2011-05-30 20:41:51 UTC
Problem still evident in manpages from

fontconfig-devel-2.8.0-2.fc14.i686

so changing version to 14.

Comment 7 Akira TAGOH 2012-02-24 10:44:51 UTC
the bug should be in docbook2man. reassigning to docbook-utils.

Comment 8 Akira TAGOH 2012-05-30 09:52:59 UTC
Any updates? as it's described in comment#4, I don't see this issue when generating on Ubuntu.

Comment 9 Ondrej Vasik 2012-05-30 10:52:50 UTC
Debian/Ubuntu uses older version of docbook2man.pl conversion script. If it works correctly on Ubuntu, there must be kind of regression between these two versions. I will check that, as I will have to update docbook-utils anyway due to other reported issue.

Comment 10 Ondrej Vasik 2012-05-30 12:25:57 UTC
Should be fixed by http://lists.fedoraproject.org/pipermail/scm-commits/2012-May/787200.html - docbook-utils-0.6.14-31.fc18 -> closing RAWHIDE.

Comment 11 Fedora Update System 2012-06-01 09:00:57 UTC
docbook-utils-0.6.14-30.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/docbook-utils-0.6.14-30.fc16

Comment 12 Fedora Update System 2012-06-01 09:04:38 UTC
docbook-utils-0.6.14-31.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/docbook-utils-0.6.14-31.fc17

Comment 13 Fedora Update System 2012-06-19 14:55:55 UTC
docbook-utils-0.6.14-30.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2012-06-19 14:56:31 UTC
docbook-utils-0.6.14-31.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.